Bug 1059164 - Review Request: python-pelican - A tool to generate a static blog from reStructuredText or Markdown input files
Summary: Review Request: python-pelican - A tool to generate a static blog from reStru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 983356 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 10:40 UTC by Matthias Runge
Modified: 2014-02-25 07:46 UTC (History)
4 users (show)

Fixed In Version: python-pelican-3.3.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 07:46:36 UTC
Type: ---
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2014-01-29 10:40:13 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-pelican.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-pelican-3.3-1.fc20.src.rpm
Description: Pelican is a static site generator, written in Python_.
* Write your weblog entries directly with your editor of choice (vim!)
  in reStructuredText_ or Markdown_
* Includes a simple CLI tool to ...

Fedora Account System Username: mrunge

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=6467268

Comment 1 Matthias Runge 2014-01-29 11:30:04 UTC
*** Bug 983356 has been marked as a duplicate of this bug. ***

Comment 2 Matthias Runge 2014-01-29 11:31:41 UTC
This package does not use python-feedgenerator, but Django directly.

Comment 5 Björn 'besser82' Esser 2014-02-11 09:38:33 UTC
Looks good to me.  Scratch-build is fine.  Guidelines are obeyed.  :D

Some small hints:

  * %{python_sitelib} --->  %{python2_sitelib}
    Same procedure as for the %{__python2} macro  ;)

  * in %description there is a line like ".*Python_.$"
    s/_\.$/\./ and all is fine.


APPROVED!!!

Comment 6 Matthias Runge 2014-02-11 09:46:31 UTC
New Package SCM Request
=======================
Package Name: python-pelican
Short Description: A tool to generate a static blog from reStructuredText or Markdown input files
Owners: mrunge firemanxbr
Branches: el6 f20

Comment 7 Gwyn Ciesla 2014-02-11 13:16:00 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-02-11 20:07:33 UTC
python-pelican-3.3.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pelican-3.3.0-3.fc20

Comment 9 Fedora Update System 2014-02-12 09:12:44 UTC
python-pelican-3.3.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pelican-3.3.0-3.el6

Comment 10 Fedora Update System 2014-02-12 14:40:10 UTC
python-pelican-3.3.0-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-02-25 07:46:36 UTC
python-pelican-3.3.0-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.